aboutsummaryrefslogtreecommitdiff
path: root/sway-de/wob/.local
diff options
context:
space:
mode:
Diffstat (limited to 'sway-de/wob/.local')
-rwxr-xr-xsway-de/wob/.local/bin/setbright30
-rwxr-xr-xsway-de/wob/.local/bin/setvol30
-rw-r--r--sway-de/wob/.local/share/systemd/user/wob.service13
-rw-r--r--sway-de/wob/.local/share/systemd/user/wob.socket9
4 files changed, 82 insertions, 0 deletions
diff --git a/sway-de/wob/.local/bin/setbright b/sway-de/wob/.local/bin/setbright
new file mode 100755
index 0000000..7d2784a
--- /dev/null
+++ b/sway-de/wob/.local/bin/setbright
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -euo pipefail
+
+wobsock="$XDG_RUNTIME_DIR/wob.sock"
+if [ ! -p "$wobsock" ]; then
+ echo $wobsock
+ echo "communication socket not found"
+ exit 2
+fi
+
+current=$(brightnessctl -m info | cut -d, -f4 | tr --delete '%')
+case $1 in
+ up)
+ increment=$(( 5 - ( current % 5 ) ))
+ new=$(( current + increment ))
+ if [ $new -gt 100 ]; then
+ new=100
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new > $wobsock;;
+ down)
+ increment=$(( ( ( current - 1 ) % 5 ) + 1 ))
+ new=$(( current - increment ))
+ if [ $new -lt 0 ]; then
+ new=0
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new > $wobsock;;
+esac
diff --git a/sway-de/wob/.local/bin/setvol b/sway-de/wob/.local/bin/setvol
new file mode 100755
index 0000000..f8bb4df
--- /dev/null
+++ b/sway-de/wob/.local/bin/setvol
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -euo pipefail
+
+wobsock="$XDG_RUNTIME_DIR/wob.sock"
+if [ ! -p "$wobsock" ]; then
+ echo $wobsock
+ echo "communication socket not found"
+ exit 2
+fi
+
+current_volume=$(pactl get-sink-volume @DEFAULT_SINK@ | grep Volume | sed -e 's/.* \([0-9][0-9]*\)%.*/\1/')
+case $1 in
+ up)
+ increment=$(( 5 - ( current_volume % 5 ) ))
+ newvol=$(( current_volume + increment ))
+ if [ $newvol -gt 100 ]; then
+ newvol=100
+ fi
+ pactl set-sink-volume @DEFAULT_SINK@ $newvol%
+ echo $newvol > $wobsock;;
+ down)
+ increment=$(( ( ( current_volume - 1 ) % 5 ) + 1 ))
+ newvol=$(( current_volume - increment ))
+ if [ $newvol -lt 0 ]; then
+ newvol=0
+ fi
+ pactl set-sink-volume @DEFAULT_SINK@ $newvol%
+ echo $newvol > $wobsock;;
+esac
diff --git a/sway-de/wob/.local/share/systemd/user/wob.service b/sway-de/wob/.local/share/systemd/user/wob.service
new file mode 100644
index 0000000..1193b30
--- /dev/null
+++ b/sway-de/wob/.local/share/systemd/user/wob.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=A lightweight overlay volume/backlight/progress/anything bar for Wayland
+Documentation=man:wob(1)
+PartOf=sway-session.target
+After=sway-session.target
+ConditionEnvironment=WAYLAND_DISPLAY
+
+[Service]
+StandardInput=socket
+ExecStart=/usr/bin/wob
+
+[Install]
+WantedBy=sway-session.target
diff --git a/sway-de/wob/.local/share/systemd/user/wob.socket b/sway-de/wob/.local/share/systemd/user/wob.socket
new file mode 100644
index 0000000..01296d8
--- /dev/null
+++ b/sway-de/wob/.local/share/systemd/user/wob.socket
@@ -0,0 +1,9 @@
+[Socket]
+ListenFIFO=%t/wob.sock
+SocketMode=0600
+RemoveOnStop=on
+# If wob exits on invalid input, systemd should NOT shove following input right back into it after it restarts
+FlushPending=yes
+
+[Install]
+WantedBy=sockets.target